%define anolis_release 2

Summary: A text file browser similar to more, but better
Name: less
Version: 608
Release: %{anolis_release}%{?dist}
License: GPLv3+ or BSD
Source0: https://www.greenwoodsoftware.com/less/%{name}-%{version}.tar.gz
Source1: lesspipe.sh
Source2: less.sh
Source3: less.csh
Patch4: less-394-time.patch
Patch5: less-475-fsync.patch
Patch6: less-436-manpage-add-old-bot-option.patch
Patch8: less-458-lessecho-usage.patch
Patch9: less-458-less-filters-man.patch
Patch10: less-458-lesskey-usage.patch
Patch11: less-458-old-bot-in-help.patch
URL: https://www.greenwoodsoftware.com/less/
BuildRequires: ncurses-devel
BuildRequires: autoconf automake libtool
BuildRequires: make

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi).

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
rm -f ./configure
autoreconf -fiv
%configure
%make_build CFLAGS="%{optflags} -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make_install
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -p        %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d

%files
%license LICENSE COPYING
/etc/profile.d/*
%{_bindir}/*
%{_mandir}/man1/*

%files doc
%doc README NEWS INSTALL

%changelog
* Mon Mar 27 2023 Funda Wang <fundawang@yeah.net> - 608-2
- Add some patches from other distros

* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> - 608-1
- New version 608

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 590-2
- add doc package

* Mon Mar 07 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 590-1
- Update to new upstream release
- Init for Anolis OS 23
